/* Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @file  ap_config_layout.h
 * @brief Apache Config Layout
 */

#ifndef AP_CONFIG_LAYOUT_H
#define AP_CONFIG_LAYOUT_H

/* Configured Apache directory layout */
#define DEFAULT_PREFIX "/usr/local/apps/apache2"
#define DEFAULT_EXP_EXEC_PREFIX "/usr/local/apps/apache2"
#define DEFAULT_REL_EXEC_PREFIX ""
#define DEFAULT_EXP_BINDIR "/usr/local/apps/apache2/bin"
#define DEFAULT_REL_BINDIR "bin"
#define DEFAULT_EXP_SBINDIR "/usr/local/apps/apache2/bin"
#define DEFAULT_REL_SBINDIR "bin"
#define DEFAULT_EXP_LIBEXECDIR "/usr/local/apps/apache2/modules"
#define DEFAULT_REL_LIBEXECDIR "modules"
#define DEFAULT_EXP_MANDIR "/usr/local/apps/apache2/man"
#define DEFAULT_REL_MANDIR "man"
#define DEFAULT_EXP_SYSCONFDIR "/usr/local/apps/apache2/etc"
#define DEFAULT_REL_SYSCONFDIR "etc"
#define DEFAULT_EXP_DATADIR "/usr/local/apps/apache2/www"
#define DEFAULT_REL_DATADIR "www"
#define DEFAULT_EXP_INSTALLBUILDDIR "/usr/local/apps/apache2/www/build"
#define DEFAULT_REL_INSTALLBUILDDIR "www/build"
#define DEFAULT_EXP_ERRORDIR "/usr/local/apps/apache2/www/error"
#define DEFAULT_REL_ERRORDIR "www/error"
#define DEFAULT_EXP_ICONSDIR "/usr/local/apps/apache2/www/icons"
#define DEFAULT_REL_ICONSDIR "www/icons"
#define DEFAULT_EXP_HTDOCSDIR "/usr/local/apps/apache2/www/htdocs"
#define DEFAULT_REL_HTDOCSDIR "www/htdocs"
#define DEFAULT_EXP_MANUALDIR "/usr/local/apps/apache2/www/manual"
#define DEFAULT_REL_MANUALDIR "www/manual"
#define DEFAULT_EXP_CGIDIR "/usr/local/apps/apache2/www/cgi-bin"
#define DEFAULT_REL_CGIDIR "www/cgi-bin"
#define DEFAULT_EXP_INCLUDEDIR "/usr/local/apps/apache2/include"
#define DEFAULT_REL_INCLUDEDIR "include"
#define DEFAULT_EXP_LOCALSTATEDIR "/usr/local/apps/apache2"
#define DEFAULT_REL_LOCALSTATEDIR ""
#define DEFAULT_EXP_RUNTIMEDIR "/usr/local/apps/apache2/logs"
#define DEFAULT_REL_RUNTIMEDIR "logs"
#define DEFAULT_EXP_LOGFILEDIR "/usr/local/apps/apache2/logs"
#define DEFAULT_REL_LOGFILEDIR "logs"
#define DEFAULT_EXP_PROXYCACHEDIR "/usr/local/apps/apache2/proxy"
#define DEFAULT_REL_PROXYCACHEDIR "proxy"

#endif /* AP_CONFIG_LAYOUT_H */
